# ML_algorithms

A collection of machine learning algorithms implemented in Python. This package includes implementations for various supervised learning models such as XGBoost, Decision Trees, Random Forest, K-Nearest Neighbors (KNN), and Linear SVM, Linear regression, Logistics Regression . Each algorithm is organized in its own module for easy use and experimentation.

## Features

- **XGBoost Regressor**: Implementation of XGBoost regression with helper functions for model building.
- **Decision Trees**: Code for constructing decision trees used by various algorithms.
- **Random Forest Regressor**: Ensemble method combining multiple decision trees for robust predictions.
- **K-Nearest Neighbors (KNN)**: A simple and effective algorithm for classification and regression.
- **Linear SVM**: Linear Support Vector Machine implementation for classification tasks.
- **Linear Regression**: implements sinmple and multivariate linear regression algorithm.
- **Logistic Regression**: implements logistics regression.

## Installation

Install the package directly from PyPI using pip:

```bash
pip install ren-algorithm==0.1.6